<template>
	<div
		class="flex w-full lg:w-690 flex-col md:rounded-lg lg:rounded bg-white px-4 md:px-6 lg:px-10 py-6 pb-0 md:py-6 lg:py-10 mb-2 md:mb-8 h-full"
	>
		<div class="hidden md:flex pb-6">
			<div class="w-1/2">
				<div class="text-base font-primary-font-bold">Item</div>
			</div>
			<div class="w-1/2 justify-between flex font-primary-font-bold">
				<div class="text-base">Price</div>
				<div class="text-base justify-center font-primary-font-bold">Qty</div>
				<div class="text-base justify-end font-primary-font-bold">Subtotal</div>
			</div>
		</div>
		<div v-for="(lineItem, i) in LINE_ITEMS" :key="lineItem.id">
			<MkLandingCart ref="cart" :item="lineItem" :row-index="i" @set-focus="setFocus($event)" />
		</div>
	</div>
</template>
<script>
import { mapState } from 'vuex';
import MkLandingCart from '~/components/D2C/molecules/MkLandingCart.vue';
export default {
	name: 'MkLandingCartCard',
	components: {
		MkLandingCart,
	},
	computed: {
		...mapState('CART_STORE', ['LINE_ITEMS']),
	},
	methods: {
		setFocus(value) {
			let focusRow = value;
			if (this.LINE_ITEMS.length === value || this.LINE_ITEMS.length === 1) {
				focusRow = 0;
			}
			if (this.LINE_ITEMS.length !== 0) {
				this.$nextTick().then(() => {
					const nextRow = this.$refs.cart[focusRow];
					nextRow.$refs[focusRow].$el.firstElementChild.focus();
					const quantityDropdown = `${focusRow}qty`;
					nextRow.$refs[quantityDropdown].$el.firstElementChild.focus();
				});
			} else {
				this.$emit('empty-cart');
			}
		},
	},
};
</script>
